Loading...
Searching...
No Matches
Halide::Internal::CodeGen_LLVM::VPResultType Struct Reference

`#include <CodeGen_LLVM.h>`

## Public Member Functions

| VPResultType (llvm::Type *type, std::optional< size_t > mangle_index=std::nullopt)

## Public Attributes

llvm::Type * | type
std::optional< size_t > | mangle_index

## Detailed Description

Definition at line 653 of file CodeGen_LLVM.h.

## Constructor & Destructor Documentation

## VPResultType()

Halide::Internal::CodeGen_LLVM::VPResultType::VPResultType | ( | llvm::Type * | type,
|  | std::optional< size_t > | mangle_index = std::nullopt )

inline

Definition at line 656 of file CodeGen_LLVM.h.

References mangle_index, and type.

## Member Data Documentation

## type

llvm::Type* Halide::Internal::CodeGen_LLVM::VPResultType::type

Definition at line 654 of file CodeGen_LLVM.h.

Referenced by VPResultType().

## mangle_index

std::optional<size_t> Halide::Internal::CodeGen_LLVM::VPResultType::mangle_index

Definition at line 655 of file CodeGen_LLVM.h.

Referenced by VPResultType().

The documentation for this struct was generated from the following file:

- src/CodeGen_LLVM.h